<?php

class RedPayResultModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
		parent::initContent();
		$cart = $this->context->cart;
		$total = (float) $cart->getOrderTotal(true, Cart::BOTH);
		$currency = $this->context->currency;
		$customer = new Customer((int) $cart->id_customer);

		if($_POST["ResponseCode"] == "002"){

			$order_state = Configuration::get('PS_OS_PAYMENT');

			$this->module->validateOrder((int) $cart->id, $order_state, $total, $this->module->displayName, '', array
				  ('transaction_id' => $_POST["TransactionNumber"]), (int)$currency->id, false, $customer->secure_key);

			Tools::redirectLink(__PS_BASE_URI__ . 'order-confirmation.php?key=' . $customer->secure_key . '&id_cart='
            . (int) $cart->id . '&id_module=' . (int) $this->module->id . '&id_order='
            . (int) $this->module->currentOrder);
		}else{
			Tools::redirect('index.php?controller=order');
		}
	}
}